[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockOrientation

Orientation of DockZones and docked controls, similar to TAlign

## Declaration

Source position: controls.pp line 565

`type TDockOrientation = (`
`doNoOrient,` |  | no orientation applies (like alNone).
`doHorizontal,` |  | siblings are arranged horizontally, children top-to-bottom.
`doVertical,` |  | siblings are arranged vertically, children left-to-right.
`doPages` |  | children are pages in a tabbed control.
`);`

## Description

This is a Delphi relic, bound to TDockTree and not very useful in application code. All DockZones in a DockTree have an orientation, horizontal or vertical, indicating how controls are arranged in the dock zone. When a control is docked into a zone, it obtains the orientation of that zone.

Remark: | The orientation for the control can be stored as the opposite for the dock zone, depending on the DockManager used.